# Extensions for OpenStruct specific to LabClient
module LabClient
  # Unique inherited class to not override top level openstruct
  class LabStruct < OpenStruct
    include CurlHelper
    attr_reader :response

    def keys
      to_h.keys.sort
    end

    def inspect
      to_h.inspect
    end

    def as_json(*args)
      super.as_json['table']
    end

    def slice(*opts)
      to_h.slice(*opts)
    end

    def client
      response.client
    end

    # Forward response success
    def success?
      @response.success?
    end
  end
end
